PROGRAM filter(input,output);

{Das Programm laesst nur einen Teil der Eingabewerte zu (Filterprogramm)}

VAR eingabe,oberg,unterg,gueltig,ungueltig:integer;

BEGIN

gueltig:=0;
ungueltig:=0;

writeln('geben Sie die Untergrenze des Filters ein (integer)');
readln(unterg);
writeln('geben Sie die Obergrenze des Filters ein (integer)');
readln(oberg);
  REPEAT
    writeln('geben Sie die zu pruefende Zahl ein');
    readln(eingabe);
    IF (eingabe<unterg) OR (eingabe>oberg) THEN
      IF (eingabe<>0) THEN
        BEGIN
          writeln('diese Zahl ist ungueltig');
          ungueltig:=ungueltig+1
        END
      ELSE
    ELSE
      BEGIN
        writeln('diese Zahl ist gueltig');
        gueltig:=gueltig+1
      END
  UNTIL eingabe=0;

  writeln('es wurden ',gueltig,' gueltige Zahlen und ');
  write(ungueltig,' ungueltige Zahlen eingegeben')
END.